/* $Id: kb_ui.h,v 1.2 2002/05/13 21:02:20 chris Exp $
 *
 * definitions for keyboard emulation
 * (c) 2002 Christian Groessler (chris@groessler.org)
 */

#ifndef __KB_UI_H__
#define __KB_UI_H__

#ifdef KB_UI  /* set in config.h */

struct kb_entry {
	int akey;
	char *name;
	int x;
	int y;
	int *flagdep;   /* if flag & TOGGLE_ONLY points to var to toggle */
	int flags;
};

#define FLAG_TOGGLE 1
#define FLAG_HIST   2

#define AKEY_KEYB -10
extern int inject_key;
extern void kb_ui(UBYTE *);
extern void kb_ui_5200(UBYTE *);

#endif /* #ifdef KB_UI */
#endif /* #ifndef __KB_UI_H__ */
